package com.zzwtec.third.model.basedata.dto;


import com.zzwtec.third.model.OpenType;
import com.zzwtec.third.model.UserCellType;

import java.util.List;

/**
 * 用户
 * @author 邓燎燕
 *
 */
public class UserDTO {

	private String id;
	private Boolean deletec;
	/**
	 * 登录手机号码
	 */
	private String loginphone;
	/**
	 * 是否短信已验证
	 */
	private Boolean msgcheck;
	/**
	 * 名称
	 */
	private String name;
	/**
	 * 开锁密码
	 */
	private String openpsw;
	/**
	 * 旧开锁密码
	 */
	private String oldOpenpsw;
	/**
	 * 登录密码
	 */
	private String psw;
	/**
	 * 旧登录密码
	 */
	private String oldPsw;
	private String remark;
	/**
	 * 人脸识别token
	 */
	private String faceToken;
	/**
	 * 当前选择房产
	 */
	private String selCell;
	private String cellNum;
	private String buildNum;
	/**
	 * 当前选择房产名称
	 */
	private String selCellName;
	/**
	 * 是否经过身份证实名认证
	 */
	private Boolean idCheck; 

	/**
	 * 随机码
	 */
	private String num;
	/**
	 * token
	 */
	private String token;
	private String communityId;
	private String communityName;
	private String cellName;
	private String buildName;
	private String buildId;
	/**
	 * 创建时间
	 */
	private Long createTime;
	/**
	 * 更新时间
	 */
	private Long updateTime;

	/**
	 * 用户与房间关系
	 */
	private UserCellType userCellType;
	/**
	 * 房间id
	 */
	private String cellId;
	private String idcard;
	/**
	 * 用户人脸图片存储URL
	 */
	private String avatarURL;

	/**
	 * 用户人脸特征存储URL 虹软 1.0
	 */
	private String faceFeatureURL;

	/**
	 * 用户人脸特征存储URL 虹软 2.0
	 */
	private String faceFeatureURL2;

	/**
	 * 用户是否上传人脸数据标志
	 */
	private Boolean faceUploadFlag;

	/**
	 *性别 1男，2女，3其他
	 */
	private Integer sex;


	/* ---------------------- 扩展字段 ---------------------- */
	private Boolean confirmSystemUser;
	private String doorId;
	private String doorName;
	private OpenType openType;
	private Integer startPage;
	private Integer pageNum;
	private Boolean ascending;

	private Integer queryNumber;
	private long localDateTime;
	private List<String> communityIdList;
	private Boolean confirmZzw;		// 是否是智之屋
	private Long openTime;
	private List<CmpTagDTO> cmpTagDTOList;


	private String idName; // 证件上的姓名
	private String identityId;
	private Long birthday;
	private String nation;
	private String nationality;
	private String domicileArea;
	private String domicileAddress;
	private String domicileNum;
	private String residenceArea;
	private String residenceAddress;
	private String residenceNum;
	private Integer idType;
	private String idNum;
	private String dept;
	private Long effdate;
	private Long expdate;
	private String img;

	/**
	 * 扩展信息
	 * 数据格式是json对象，具体看数据
	 */
	private String extension;

	public String getExtension() {
		return extension;
	}

	public void setExtension(String extension) {
		this.extension = extension;
	}

	public Integer getSex() {
		return sex;
	}

	public void setSex(Integer sex) {
		this.sex = sex;
	}

	public String getAvatarURL() {
		return avatarURL;
	}

	public void setAvatarURL(String avatarURL) {
		this.avatarURL = avatarURL;
	}

	public String getFaceFeatureURL() {
		return faceFeatureURL;
	}

	public void setFaceFeatureURL(String faceFeatureURL) {
		this.faceFeatureURL = faceFeatureURL;
	}

	public String getFaceFeatureURL2() {
		return faceFeatureURL2;
	}

	public void setFaceFeatureURL2(String faceFeatureURL2) {
		this.faceFeatureURL2 = faceFeatureURL2;
	}

	public Boolean getFaceUploadFlag() {
		return faceUploadFlag;
	}

	public void setFaceUploadFlag(Boolean faceUploadFlag) {
		this.faceUploadFlag = faceUploadFlag;
	}

	public String getCommunityId() {
		return communityId;
	}

	public void setCommunityId(String communityId) {
		this.communityId = communityId;
	}

	public String getCommunityName() {
		return communityName;
	}

	public void setCommunityName(String communityName) {
		this.communityName = communityName;
	}

	public String getCellName() {
		return cellName;
	}

	public void setCellName(String cellName) {
		this.cellName = cellName;
	}

	public String getBuildName() {
		return buildName;
	}

	public void setBuildName(String buildName) {
		this.buildName = buildName;
	}

	public String getBuildId() {
		return buildId;
	}

	public void setBuildId(String buildId) {
		this.buildId = buildId;
	}

	@Override
	public String toString() {
		return "UserDTO{" +
				"id='" + id + '\'' +
				", deletec=" + deletec +
				", loginphone='" + loginphone + '\'' +
				", msgcheck=" + msgcheck +
				", name='" + name + '\'' +
				", openpsw='" + openpsw + '\'' +
				", oldOpenpsw='" + oldOpenpsw + '\'' +
				", psw='" + psw + '\'' +
				", oldPsw='" + oldPsw + '\'' +
				", remark='" + remark + '\'' +
				", faceToken='" + faceToken + '\'' +
				", selCell='" + selCell + '\'' +
				", cellNum='" + cellNum + '\'' +
				", buildNum='" + buildNum + '\'' +
				", selCellName='" + selCellName + '\'' +
				", idCheck=" + idCheck +
				", num='" + num + '\'' +
				", token='" + token + '\'' +
				", communityId='" + communityId + '\'' +
				", communityName='" + communityName + '\'' +
				", cellName='" + cellName + '\'' +
				", buildName='" + buildName + '\'' +
				", buildId='" + buildId + '\'' +
				", createTime=" + createTime +
				", updateTime=" + updateTime +
				", userCellType=" + userCellType +
				", cellId='" + cellId + '\'' +
				", idcard='" + idcard + '\'' +
				", avatarURL='" + avatarURL + '\'' +
				", faceFeatureURL='" + faceFeatureURL + '\'' +
				", faceFeatureURL2='" + faceFeatureURL2 + '\'' +
				", faceUploadFlag=" + faceUploadFlag +
				", sex=" + sex +
				", confirmSystemUser=" + confirmSystemUser +
				", doorId='" + doorId + '\'' +
				", doorName='" + doorName + '\'' +
				", openType=" + openType +
				", startPage=" + startPage +
				", pageNum=" + pageNum +
				", ascending=" + ascending +
				", queryNumber=" + queryNumber +
				", localDateTime=" + localDateTime +
				", communityIdList=" + communityIdList +
				", confirmZzw=" + confirmZzw +
				", openTime=" + openTime +
				", cmpTagDTOList=" + cmpTagDTOList +
				", idName='" + idName + '\'' +
				", identityId='" + identityId + '\'' +
				", birthday=" + birthday +
				", nation='" + nation + '\'' +
				", nationality='" + nationality + '\'' +
				", domicileArea='" + domicileArea + '\'' +
				", domicileAddress='" + domicileAddress + '\'' +
				", domicileNum='" + domicileNum + '\'' +
				", residenceArea='" + residenceArea + '\'' +
				", residenceAddress='" + residenceAddress + '\'' +
				", residenceNum='" + residenceNum + '\'' +
				", idType=" + idType +
				", idNum='" + idNum + '\'' +
				", dept='" + dept + '\'' +
				", effdate=" + effdate +
				", expdate=" + expdate +
				", img='" + img + '\'' +
				", extension='" + extension + '\'' +
				'}';
	}

	public String getIdName() {
		return idName;
	}

	public void setIdName(String idName) {
		this.idName = idName;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public Boolean isDeletec() {
		return deletec;
	}

	public void setDeletec(Boolean deletec) {
		this.deletec = deletec;
	}

	public String getLoginphone() {
		return loginphone;
	}

	public void setLoginphone(String loginphone) {
		this.loginphone = loginphone;
	}

	public Boolean isMsgcheck() {
		return msgcheck;
	}

	public void setMsgcheck(Boolean msgcheck) {
		this.msgcheck = msgcheck;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getOpenpsw() {
		return openpsw;
	}

	public void setOpenpsw(String openpsw) {
		this.openpsw = openpsw;
	}

	public String getOldOpenpsw() {
		return oldOpenpsw;
	}

	public void setOldOpenpsw(String oldOpenpsw) {
		this.oldOpenpsw = oldOpenpsw;
	}

	public String getPsw() {
		return psw;
	}

	public void setPsw(String psw) {
		this.psw = psw;
	}

	public String getOldPsw() {
		return oldPsw;
	}

	public void setOldPsw(String oldPsw) {
		this.oldPsw = oldPsw;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public String getFaceToken() {
		return faceToken;
	}

	public void setFaceToken(String faceToken) {
		this.faceToken = faceToken;
	}

	public String getSelCell() {
		return selCell;
	}

	public void setSelCell(String selCell) {
		this.selCell = selCell;
	}

	public String getNum() {
		return num;
	}

	public void setNum(String num) {
		this.num = num;
	}

	public String getToken() {
		return token;
	}

	public void setToken(String token) {
		this.token = token;
	}

	public String getSelCellName() {
		return selCellName;
	}

	public void setSelCellName(String selCellName) {
		this.selCellName = selCellName;
	}

	public Boolean getIdCheck() {
		return idCheck;
	}

	public void setIdCheck(Boolean idCheck) {
		this.idCheck = idCheck;
	}

	public Long getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Long createTime) {
		this.createTime = createTime;
	}

	public Long getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(Long updateTime) {
		this.updateTime = updateTime;
	}

	public Boolean getDeletec() {
		return deletec;
	}

	public UserCellType getUserCellType() {
		return userCellType;
	}

	public void setUserCellType(UserCellType userCellType) {
		this.userCellType = userCellType;
	}

	public String getCellId() {
		return cellId;
	}

	public void setCellId(String cellId) {
		this.cellId = cellId;
	}

	public OpenType getOpenType() {
		return openType;
	}

	public void setOpenType(OpenType openType) {
		this.openType = openType;
	}

	public Integer getStartPage() {
		return startPage;
	}

	public void setStartPage(Integer startPage) {
		this.startPage = startPage;
	}

	public Integer getPageNum() {
		return pageNum;
	}

	public void setPageNum(Integer pageNum) {
		this.pageNum = pageNum;
	}

	public Boolean getAscending() {
		return ascending;
	}

	public void setAscending(Boolean ascending) {
		this.ascending = ascending;
	}

	public long getLocalDateTime() {
		return localDateTime;
	}

	public void setLocalDateTime(long localDateTime) {
		this.localDateTime = localDateTime;
	}

	public Boolean getMsgcheck() {
		return msgcheck;
	}

	public String getIdcard() {
		return idcard;
	}

	public void setIdcard(String idcard) {
		this.idcard = idcard;
	}

	public List<String> getCommunityIdList() {
		return communityIdList;
	}

	public void setCommunityIdList(List<String> communityIdList) {
		this.communityIdList = communityIdList;
	}

	public Boolean getConfirmZzw() {
		return confirmZzw;
	}

	public void setConfirmZzw(Boolean confirmZzw) {
		this.confirmZzw = confirmZzw;
	}

	public Long getOpenTime() {
		return openTime;
	}

	public void setOpenTime(Long openTime) {
		this.openTime = openTime;
	}

	public Integer getQueryNumber() {
		return queryNumber;
	}

	public void setQueryNumber(Integer queryNumber) {
		this.queryNumber = queryNumber;
	}

	public String getCellNum() {
		return cellNum;
	}

	public void setCellNum(String cellNum) {
		this.cellNum = cellNum;
	}

	public String getBuildNum() {
		return buildNum;
	}

	public void setBuildNum(String buildNum) {
		this.buildNum = buildNum;
	}

	public List<CmpTagDTO> getCmpTagDTOList() {
		return cmpTagDTOList;
	}

	public void setCmpTagDTOList(List<CmpTagDTO> cmpTagDTOList) {
		this.cmpTagDTOList = cmpTagDTOList;
	}

	public String getIdentityId() {
		return identityId;
	}

	public void setIdentityId(String identityId) {
		this.identityId = identityId;
	}

	public Long getBirthday() {
		return birthday;
	}

	public void setBirthday(Long birthday) {
		this.birthday = birthday;
	}

	public String getNation() {
		return nation;
	}

	public void setNation(String nation) {
		this.nation = nation;
	}

	public String getNationality() {
		return nationality;
	}

	public void setNationality(String nationality) {
		this.nationality = nationality;
	}

	public String getDomicileArea() {
		return domicileArea;
	}

	public void setDomicileArea(String domicileArea) {
		this.domicileArea = domicileArea;
	}

	public String getDomicileAddress() {
		return domicileAddress;
	}

	public void setDomicileAddress(String domicileAddress) {
		this.domicileAddress = domicileAddress;
	}

	public String getDomicileNum() {
		return domicileNum;
	}

	public void setDomicileNum(String domicileNum) {
		this.domicileNum = domicileNum;
	}

	public String getResidenceArea() {
		return residenceArea;
	}

	public void setResidenceArea(String residenceArea) {
		this.residenceArea = residenceArea;
	}

	public String getResidenceAddress() {
		return residenceAddress;
	}

	public void setResidenceAddress(String residenceAddress) {
		this.residenceAddress = residenceAddress;
	}

	public String getResidenceNum() {
		return residenceNum;
	}

	public void setResidenceNum(String residenceNum) {
		this.residenceNum = residenceNum;
	}

	public Integer getIdType() {
		return idType;
	}

	public void setIdType(Integer idType) {
		this.idType = idType;
	}

	public String getIdNum() {
		return idNum;
	}

	public void setIdNum(String idNum) {
		this.idNum = idNum;
	}

	public String getDept() {
		return dept;
	}

	public void setDept(String dept) {
		this.dept = dept;
	}

	public Long getEffdate() {
		return effdate;
	}

	public void setEffdate(Long effdate) {
		this.effdate = effdate;
	}

	public Long getExpdate() {
		return expdate;
	}

	public void setExpdate(Long expdate) {
		this.expdate = expdate;
	}

	public String getImg() {
		return img;
	}

	public void setImg(String img) {
		this.img = img;
	}

	public Boolean getConfirmSystemUser() {
		return confirmSystemUser;
	}

	public String getDoorId() {
		return doorId;
	}

	public void setDoorId(String doorId) {
		this.doorId = doorId;
	}

	public void setConfirmSystemUser(Boolean confirmSystemUser) {
		this.confirmSystemUser = confirmSystemUser;
	}

	public String getDoorName() {
		return doorName;
	}

	public void setDoorName(String doorName) {
		this.doorName = doorName;
	}
}
